Page MenuHomePhabricator

1.40.0-wmf.7 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
hashar
Release Version
1.40.0-wmf.7
Release Date
Oct 24 2022, 12:00 AM

2022 week 43 1.40-wmf.7 Changes wmf/1.40.0-wmf.7

This MediaWiki Train Deployment is scheduled for the week of Monday, October 24th:

Monday October 24thTuesday, October 25thWednesday, October 26thThursday, October 27thFriday
Backports only.Branch wmf.7 and deploy to Group 0 Wikis.Deploy wmf.7 to Group 1 Wikis.Deploy wmf.7 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.7 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.40.0-wmf.6
Next: 1.40.0-wmf.8

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: hashar.
thcipriani set the point value for this task to 5.

Change 848095 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.40.0-wmf.7] Branch commit for wmf/1.40.0-wmf.7

https://gerrit.wikimedia.org/r/848095

Change 848095 merged by jenkins-bot:

[mediawiki/core@wmf/1.40.0-wmf.7] Branch commit for wmf/1.40.0-wmf.7

https://gerrit.wikimedia.org/r/848095

Change 848627 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.40.0-wmf.7

https://gerrit.wikimedia.org/r/848627

Change 848627 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.40.0-wmf.7

https://gerrit.wikimedia.org/r/848627

Mentioned in SAL (#wikimedia-operations) [2022-10-25T03:02:24Z] <mwpresync@deploy1002> Started scap: testwikis wikis to 1.40.0-wmf.7 refs T320512

Mentioned in SAL (#wikimedia-operations) [2022-10-25T03:38:18Z] <mwpresync@deploy1002> Finished scap: testwikis wikis to 1.40.0-wmf.7 refs T320512 (duration: 35m 54s)

Change 849017 had a related patch set uploaded (by TrainBranchBot; author: Jaime Nuche):

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.7

https://gerrit.wikimedia.org/r/849017

Change 849017 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.7

https://gerrit.wikimedia.org/r/849017

Mentioned in SAL (#wikimedia-operations) [2022-10-25T08:12:23Z] <jnuche@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.40.0-wmf.7 refs T320512

Change 849467 had a related patch set uploaded (by TrainBranchBot; author: Jaime Nuche):

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.7

https://gerrit.wikimedia.org/r/849467

Change 849467 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.7

https://gerrit.wikimedia.org/r/849467

Mentioned in SAL (#wikimedia-operations) [2022-10-26T08:08:27Z] <jnuche@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.40.0-wmf.7 refs T320512

Mentioned in SAL (#wikimedia-operations) [2022-10-26T08:12:16Z] <jnuche@deploy1002> Synchronized php: group1 wikis to 1.40.0-wmf.7 refs T320512 (duration: 03m 46s)

Change 850028 had a related patch set uploaded (by TrainBranchBot; author: Jaime Nuche):

[operations/mediawiki-config@master] all wikis to 1.40.0-wmf.7

https://gerrit.wikimedia.org/r/850028

Change 850028 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.40.0-wmf.7

https://gerrit.wikimedia.org/r/850028

Mentioned in SAL (#wikimedia-operations) [2022-10-27T08:11:24Z] <jnuche@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.40.0-wmf.7 refs T320512